Skip to main content
GET
Get Verification
Sandbox Behavior: For an ID returned by a Sandbox POST request, this endpoint returns the same result, including the same matched_name as the test IBAN.
For any valid UUID provided, the verification outcome is determined by the last digit of the id you provide. This allows you to test different integration flows easily. For example, to simulate a Close Match, use an ID ending in 3.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Verification completed

id
string<uuid>
read-only
Example:

"abc123ab-3171-4e97-92ec-a11e9fabc123"

status
enum<string>
read-only

The current lifecycle state of the verification request.

A completed status indicates that the financial institution has been successfully reached and processed the request.

A failed status indicates that the verification could not be completed due to technical or institutional constraints.

Additional details may be provided in the status_reason field.

Available options:
pending,
completed,
failed
match_result
enum<string>
read-only

The outcome of the account holder name verification against the financial institution’s records. Provided only when status is completed.

Available options:
match,
close_match,
no_match,
account_not_verifiable
matched_name
string
read-only

Indicates the full name or company name as registered by the financial institution. Provided only if 'match_result' is 'close_match' and in accordance with data privacy regulations.

Example:

"JEAN DUPONT"

status_reason
enum<string>
read-only

Additional context provided when the verification could not be completed.

Available options:
institution_out_of_scope,
institution_timeout,
unsupported_characters,
verification_not_possible
Example:

"institution_timeout"

enrichment
object
read-only